﻿using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace DailyDigestWorker.Services
{
    // Интерфейс для сервиса чтения сообщений из Telegram-канала
    public interface ITelegramChannelReader
    {
        /// <summary>
        /// Получает тексты последних сообщений из целевого канала.
        /// </summary>
        /// <param name="maxAgeHours">Максимальный возраст сообщений в часах.</param>
        /// <param name="limit">Максимальное количество сообщений для проверки.</param>
        /// <param name="cancellationToken">Токен отмены.</param>
        /// <returns>Список текстов сообщений (от старых к новым) или null в случае ошибки.</returns>
        Task<List<string>?> GetRecentNewsAsync(int maxAgeHours, int limit, CancellationToken cancellationToken);
    }
}